> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ag.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Organization Settings

> Modify the settings for the authenticated organization



## OpenAPI

````yaml openapi.json patch /settings
openapi: 3.1.0
info:
  title: Ag.dev API
  description: Public API for Ag.dev
  version: 0.1.0
servers:
  - url: https://api.ag.dev/v0.1
security: []
tags:
  - name: Agents
    description: Agent management and configuration
  - name: Runs
    description: Agent run execution and monitoring
  - name: Versioning
    description: Agent versioning, revisions, and publishing
  - name: MCP Servers
    description: MCP server management and tool discovery
  - name: Settings
    description: Organization settings and API keys
  - name: Users
    description: User information and authentication
  - name: Drives
    description: Drive management and file operations
  - name: Webhooks
    description: Webhook health checks
paths:
  /settings:
    patch:
      tags:
        - Settings
      summary: Update Organization Settings
      description: Modify the settings for the authenticated organization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOrganizationSettings'
      responses:
        '200':
          description: Organization settings updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationSettings'
        '401':
          description: Authentication required
      security:
        - ApiKeyAuth: []
components:
  schemas:
    UpdateOrganizationSettings:
      type: object
      properties:
        useOwnKeys:
          type: boolean
          description: Whether the organization should use their own API keys
    OrganizationSettings:
      type: object
      properties:
        useOwnKeys:
          type: boolean
          description: Whether the organization uses their own API keys
        creditBalance:
          type: number
          description: Current credit balance
      required:
        - useOwnKeys
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'Provide either X-API-Key: <key> or Authorization: Bearer <key>'

````